Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class InstSampleDesc

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.InstSampleDesc

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class InstSampleDesc
extends QTByteObject

Contains information about the mix state of a specified part.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`InstSampleDesc()` Makes a instance of this class.

Method Summary
`int` | `getDataFormat()` The data format type.
`int` | `getLoopEnd()` Indicates the end of the portion of the sample that is looped if the sound is sustained.
`int` | `getLoopStart()` Indicates the beginning of the portion of the sample that is looped if the sound is sustained.
`int` | `getLoopType()` The type of loop.
`int` | `getNumChannels()` The number of channels of data present in the sample.
`int` | `getNumSamples()` The number of data samples in the sound.
`int` | `getOffset()` Set to zero - this is the default.
`int` | `getPitchHigh()` The highest pitch at which to play the sample.
`int` | `getPitchLow()` The lowest pitch at which to play the sample.
`int` | `getPitchNormal()` The number of the MIDI note produced if the sample is played at the rate specified in sampleRate.
`int` | `getSampleDataID()` The ID number of a sample data atom that contains the sample audio data.
`float` | `getSampleRate()` The rate at which to play the sample.
`int` | `getSampleRateRaw()` The rate at which to play the sample in unsigned 16.16 format
`int` | `getSampleSize()` The size of the sampleŃ 8-bit or 16-bit.
`void` | `setDataFormat(int dataFormat)` The data format type.
`void` | `setLoopEnd(int loopEnd)` Indicates the end of the portion of the sample that is looped if the sound is sustained.
`void` | `setLoopStart(int loopStart)` Indicates the beginning of the portion of the sample that is looped if the sound is sustained.
`void` | `setLoopType(int loopType)` The type of loop.
`void` | `setNumChannels(int numChannels)` The number of channels of data present in the sample.
`void` | `setNumSamples(int numSamples)` The number of data samples in the sound.
`void` | `setOffset(int offset)` Set to zero - this is the default.
`void` | `setPitchHigh(int pitchHigh)` The highest pitch at which to play the sample.
`void` | `setPitchLow(int pitchLow)` The lowest pitch at which to play the sample.
`void` | `setPitchNormal(int pitchNormal)` The number of the MIDI note produced if the sample is played at the rate specified in sampleRate.
`void` | `setSampleDataID(int sampleDataID)` The ID number of a sample data atom that contains the sample audio data.
`void` | `setSampleRate(float sampleRate)` The rate at which to play the sample.
`void` | `setSampleRateRaw(int sampleRate)` The rate at which to play the sample in unsigned 16.16 format
`void` | `setSampleSize(int sampleSize)` The size of the sampleŃ 8-bit or 16-bit.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### InstSampleDesc

    public InstSampleDesc()

  Makes a instance of this class.

Method Detail

### getDataFormat

    public int getDataFormat()

  The data format type. This is either 'twos', for signed data, or 'raw ', for unsigned data.
  Returns:

### setDataFormat

    public void setDataFormat(int dataFormat)

  The data format type. This is either 'twos', for signed data, or 'raw ', for unsigned data.
  Parameters:
    `dataFormat` -

### getNumChannels

    public int getNumChannels()

  The number of channels of data present in the sample.
  Returns:

### setNumChannels

    public void setNumChannels(int numChannels)

  The number of channels of data present in the sample.
  Parameters:
    `numChannels` -

### getSampleSize

    public int getSampleSize()

  The size of the sampleŃ 8-bit or 16-bit.
  Returns:

### setSampleSize

    public void setSampleSize(int sampleSize)

  The size of the sampleŃ 8-bit or 16-bit.
  Parameters:
    `sampleSize` -

### getSampleRate

    public float getSampleRate()

  The rate at which to play the sample.
  Returns:

### setSampleRate

    public void setSampleRate(float sampleRate)

  The rate at which to play the sample.
  Parameters:
    `sampleRate` -

### getSampleRateRaw

    public int getSampleRateRaw()

  The rate at which to play the sample in unsigned 16.16 format
  Returns:

### setSampleRateRaw

    public void setSampleRateRaw(int sampleRate)

  The rate at which to play the sample in unsigned 16.16 format
  Parameters:
    `sampleRate` -

### getSampleDataID

    public int getSampleDataID()

  The ID number of a sample data atom that contains the sample audio data.
  Returns:

### setSampleDataID

    public void setSampleDataID(int sampleDataID)

  The ID number of a sample data atom that contains the sample audio data.
  Parameters:
    `sampleDataID` -

### getOffset

    public int getOffset()

  Set to zero - this is the default.
  Returns:

### setOffset

    public void setOffset(int offset)

  Set to zero - this is the default.
  Parameters:
    `offset` -

### getNumSamples

    public int getNumSamples()

  The number of data samples in the sound.
  Returns:

### setNumSamples

    public void setNumSamples(int numSamples)

  The number of data samples in the sound.
  Parameters:
    `numSamples` -

### getLoopType

    public int getLoopType()

  The type of loop.
  Returns:

### setLoopType

    public void setLoopType(int loopType)

  The type of loop.
  Parameters:
    `loopType` -

### getLoopStart

    public int getLoopStart()

  Indicates the beginning of the portion of the sample that is looped if the sound is sustained. The position is given in the number of data samples from the start of the sound.
  Returns:

### setLoopStart

    public void setLoopStart(int loopStart)

  Indicates the beginning of the portion of the sample that is looped if the sound is sustained. The position is given in the number of data samples from the start of the sound.
  Parameters:
    `loopStart` -

### getLoopEnd

    public int getLoopEnd()

  Indicates the end of the portion of the sample that is looped if the sound is sustained. The position is given in the number of data samples from the start of the sound.
  Returns:

### setLoopEnd

    public void setLoopEnd(int loopEnd)

  Indicates the end of the portion of the sample that is looped if the sound is sustained. The position is given in the number of data samples from the start of the sound.
  Parameters:
    `loopEnd` -

### getPitchNormal

    public int getPitchNormal()

  The number of the MIDI note produced if the sample is played at the rate specified in sampleRate.
  Returns:

### setPitchNormal

    public void setPitchNormal(int pitchNormal)

  The number of the MIDI note produced if the sample is played at the rate specified in sampleRate.
  Parameters:
    `pitchNormal` -

### getPitchLow

    public int getPitchLow()

  The lowest pitch at which to play the sample. Use for instruments, such as pianos, that have different samples to use for different pitch ranges.
  Returns:

### setPitchLow

    public void setPitchLow(int pitchLow)

  The lowest pitch at which to play the sample. Use for instruments, such as pianos, that have different samples to use for different pitch ranges.
  Parameters:
    `pitchLow` -

### getPitchHigh

    public int getPitchHigh()

  The highest pitch at which to play the sample. Use for instruments, such as pianos, that have different samples to use for different pitch ranges.
  Returns:

### setPitchHigh

    public void setPitchHigh(int pitchHigh)

  The highest pitch at which to play the sample. Use for instruments, such as pianos, that have different samples to use for different pitch ranges.
  Parameters:
    `pitchHigh` -

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD